import { ExecutionContext } from '@nestjs/common';
import { ConfigService } from '@nestjs/config';
import { Reflector } from '@nestjs/core';
import { JwtService } from '@nestjs/jwt';
import { EntitySchema, ErrorService } from '@devseeder/nestjs-microservices-schemas';
import { CustomJwtAuthGuard } from './custom-jwt-auth.guard';
export declare class EntityJwtAuthGuard extends CustomJwtAuthGuard {
    protected readonly reflector: Reflector;
    protected readonly jwtService: JwtService;
    protected readonly configService: ConfigService;
    protected readonly scopeKey: string;
    protected readonly entitySchemaData: EntitySchema[];
    protected readonly errorService: ErrorService;
    constructor(reflector: Reflector, jwtService: JwtService, configService: ConfigService, scopeKey: string, entitySchemaData: EntitySchema[], errorService: ErrorService);
    canActivate(context: ExecutionContext): Promise<boolean>;
    private getScopes;
}
